CVE-2023-46135

Source
https://nvd.nist.gov/vuln/detail/CVE-2023-46135
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2023-46135.json
Aliases
Published
2023-10-25T18:17:36Z
Modified
2023-11-29T10:18:30.369782Z
Details

rs-stellar-strkey is a Rust lib for encode/decode of Stellar Strkeys. A panic vulnerability occurs when a specially crafted payload is used.inner_payload_len should not above 64. This vulnerability has been patched in version 0.0.8.

References

Affected packages

Git / github.com/stellar/rs-stellar-strkey

Affected ranges

Type
GIT
Repo
https://github.com/stellar/rs-stellar-strkey
Events
Introduced
0The exact introduced commit is unknown
Fixed

Affected versions

v0.*

v0.0.1
v0.0.2
v0.0.6
v0.0.7